Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.rsdn.patterns.behavioral.observer.problems.fault
Class FaultTolerantPublisherTest

    java.lang.Object
      ru.rsdn.patterns.behavioral.observer.AbstractPublisher<java.util.concurrent.CopyOnWriteArrayList<ISubscriber>>
          ru.rsdn.patterns.behavioral.observer.problems.fault.FaultTolerantPublisherTest

    public class FaultTolerantPublisherTest

extends AbstractPublisher<java.util.concurrent.CopyOnWriteArrayList<ISubscriber>>

Тестирование работы издателя и отказоустойчивого издателя с подписчиками, среди которых есть один дефектный

Field Summary

Fields inherited from class ru.rsdn.patterns.behavioral.observer.AbstractPublisher
`subscribers`

Constructor Summary
`FaultTolerantPublisherTest()`

Method Summary
`void` | `crashNotifyTest()` Тестирование отказа издателя из-за дефектного подписчика
`private void` | `faultTolerantNotifyAll()` Устойчивое к отказам оповещение подписчиков
`void` | `normalNotifyTest()` Тестирование отказоустойчивого издателя
`private void` | `notifySubscribers()` Оповещение подписчиков

Methods inherited from class ru.rsdn.patterns.behavioral.observer.AbstractPublisher
`getSubscribers, subscribe, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultTolerantPublisherTest

    public FaultTolerantPublisherTest()

Method Detail

### crashNotifyTest

    public void crashNotifyTest()

  Тестирование отказа издателя из-за дефектного подписчика

### notifySubscribers

    private void notifySubscribers()

  Оповещение подписчиков

### normalNotifyTest

    public void normalNotifyTest()

  Тестирование отказоустойчивого издателя

### faultTolerantNotifyAll

    private void faultTolerantNotifyAll()

  Устойчивое к отказам оповещение подписчиков

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD